PETSc version 3.15.5
Fix/Edit manual page

# MatPartitioningImprove

Improves the quality of a given partition.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningImprove(MatPartitioning matp,IS *partitioning)

Collective on Mat

### Input Parameters

| matp | - the matrix partitioning object
| partitioning | - the partitioning. For each local node this tells the processor number that that node is assigned to.

### Output Parameters

| partitioning | - the partitioning. For each local node this tells the processor number that that node is assigned to.

### Options Database Keys

To improve the quality of the partition

       -mat_partitioning_improve

### See Also

MatPartitioningApply(), MatPartitioningCreate(),
MatPartitioningDestroy(), MatPartitioningSetAdjacency(), ISPartitioningToNumbering(), ISPartitioningCount()

### Level

beginner

### Location

src/mat/partition/partition.c

### Implementations

MatPartitioningImprove_Hierarchical in src/mat/partition/impls/hierarchical/hierarchical.c
MatPartitioningImprove_Parmetis in src/mat/partition/impls/pmetis/pmetis.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages